# Uses of Interface
org.eclipse.emf.cdo.security.NotFilter

Packages that use NotFilter
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of NotFilter in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return NotFilter
Modifier and Type
Method
Description
`NotFilter`
SecurityFactory.`createNotFilter()`
Returns a new object of class 'Not Filter'.
`NotFilter`
SecurityFactory.`createNotFilter(PermissionFilter operand)`

## Uses of NotFilter in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement NotFilter
Modifier and Type
Class
Description
`class`
`NotFilterImpl`
An implementation of the model object 'Not Filter'.
Methods in org.eclipse.emf.cdo.security.impl that return NotFilter
Modifier and Type
Method
Description
`NotFilter`
SecurityFactoryImpl.`createNotFilter()`
`NotFilter`
SecurityFactoryImpl.`createNotFilter(PermissionFilter operand)`

## Uses of NotFilter in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type NotFilter
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseNotFilter(NotFilter object)`
Returns the result of interpreting the object as an instance of 'Not Filter'.
`boolean`
SecurityValidator.`validateNotFilter(NotFilter notFilter, DiagnosticChain diagnostics, Map<Object,Object> context)`